﻿using Newtonsoft.Json;

namespace TestProject;

/// <summary>
/// 응답 메시지
/// </summary>
public class ResponseMessage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 모델 - Model

    /// <summary>
    /// 모델
    /// </summary>
    [JsonProperty("model")]
    public string Model { get; set; }

    #endregion
    #region 생성 시간 - CreateTime

    /// <summary>
    /// 생성 시간
    /// </summary>
    [JsonProperty("created_at")]
    public string CreateTime { get; set; }

    #endregion
    #region 응답 - Response

    /// <summary>
    /// 응답
    /// </summary>
    [JsonProperty("response")]
    public string Response { get; set; }

    #endregion
    #region 완료 여부 - Done

    /// <summary>
    /// 완료 여부
    /// </summary>
    [JsonProperty("done")]
    public bool Done { get; set; }

    #endregion
}